For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DiscordGet API Key
  • Getting Started
    • Overview
    • Quickstart
    • Errors
    • Pricing
  • Chat
    • Overview
    • Chat with Image, Video, and Audio
    • Function Calling
    • Models
  • Vision
    • Overview
    • Rate Limits
    • Pricing
    • MCP Server
    • Video Management
    • Video Group Management
    • Video Search
    • Video QA
    • Clip Generation
    • Metadata Tagging
    • Image Management
    • Image Search
        • POSTQuick Tag Video
        • POSTIndexed Tag Video
  • Research
    • Overview
    • Streaming
    • Reasoning Steps
    • Web Search
    • Structured Output
    • Parallel Thinking
    • Best Practices
    • Errors
    • Examples
  • Speech
    • Overview
    • Audio Transcription
    • Speech Translation
    • Speech-to-Speech Translation
  • Resources
    • FAQs
    • Changelog
    • System Status
LogoLogo
DiscordGet API Key
VisionAPI ReferenceMetadata Tagging

Quick Tag Video

POST
https://vision-agent.api.reka.ai/v1/qa/quicktag
POST
/v1/qa/quicktag
$curl -X POST https://vision-agent.api.reka.ai/v1/qa/quicktag \
> -H "X-Api-Key: <apiKey>" \
> -H "Content-Type: multipart/form-data" \
> -F video=@string
200Successful
1{
2 "Description": "string",
3 "Violence": true,
4 "Profanity": true,
5 "AdultContent": true,
6 "Drugs": true,
7 "Alcohol": true,
8 "Gambling": true,
9 "Political": true,
10 "ExpectedCTR": 1.1,
11 "ViralityScore": 1.1,
12 "Keyword": [
13 "string"
14 ],
15 "MoodTone": [
16 "string"
17 ]
18}

Generate metadata tags for short videos (under 30 seconds) without storage

Was this page helpful?
Previous

Indexed Tag Video

Next
Built with

Authentication

X-Api-Keystring

API key authentication via X-Api-Key header

OR
AuthorizationBearer
Bearer token authentication via Authorization header

Headers

X-Enable-Overwrite-Meteringstring or nullOptional

Request

This endpoint expects a multipart form containing a file.
videofileRequired

Response

Successful Response
Descriptionstring
Violenceboolean
Profanityboolean
AdultContentboolean
Drugsboolean
Alcoholboolean
Gamblingboolean
Politicalboolean
ExpectedCTRdouble
ViralityScoredouble
Keywordlist of strings
MoodTonelist of strings